For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • POSTConvert flow to tool
      • POSTDeploy Runtype Sandbox
      • DELCleanup Runtype Sandbox
      • POSTDeploy Daytona sandbox
      • DELCleanup Daytona sandbox
      • GETGet tool schemas
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
      • POSTExecute tool
      • POSTTest tool
Dashboard
LogoLogo
Runtype APITools

Deploy Daytona sandbox

POST
/v1/tools/sandbox/deploy
POST
/v1/tools/sandbox/deploy
$curl -X POST https://api.runtype.com/v1/tools/sandbox/deploy \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "code": "const express = require('\''express'\'');\nconst app = express();\napp.get('\''/'\'', (req, res) => res.send('\''Hello'\''));\napp.listen(3000);",
> "language": "javascript",
> "port": 3000
>}'
1{
2 "status": "string",
3 "error": "string",
4 "output": "string",
5 "previewUrl": "string",
6 "sandboxId": "string"
7}
Deploy code to a persistent Daytona sandbox and return a preview URL.
Was this page helpful?
Previous

Cleanup Daytona sandbox

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects a map from strings to any.

Response

Sandbox deployment result
statusstring
errorstring
outputstring
previewUrlstring
sandboxIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error